[kaffe] CVS kaffe (dalibor): Fix the autoconf asm/signal.h warning
Kaffe CVS
Kaffe Mailing List <kaffe@kaffe.org>
Wed Jan 14 21:42:02 2004
PatchSet 4342
Date: 2004/01/15 05:29:27
Author: dalibor
Branch: HEAD
Tag: (none)
Log:
Fix the autoconf asm/signal.h warning
2004-01-15 Dalibor Topic <robilad@kaffe.org>
* configure.in:
Don't include standard headers when testing for
asm/signal.h header. Just include <linux/types.h>
to fox autoconf warning message.
Members:
ChangeLog:1.1929->1.1930
configure:1.281->1.282
configure.in:1.246->1.247
Index: kaffe/ChangeLog
diff -u kaffe/ChangeLog:1.1929 kaffe/ChangeLog:1.1930
--- kaffe/ChangeLog:1.1929 Thu Jan 15 04:25:16 2004
+++ kaffe/ChangeLog Thu Jan 15 05:29:27 2004
@@ -1,5 +1,12 @@
2004-01-15 Dalibor Topic <robilad@kaffe.org>
+ * configure.in:
+ Don't include standard headers when testing for
+ asm/signal.h header. Just include <linux/types.h>
+ to fox autoconf warning message.
+
+2004-01-15 Dalibor Topic <robilad@kaffe.org>
+
* configure.in (AC_CHECK_LIBRARY),
m4/alsa.m4 (AM_PATH_ALSA),
m4/esd.m4 (AM_PATH_ESD,
Index: kaffe/configure
diff -u kaffe/configure:1.281 kaffe/configure:1.282
--- kaffe/configure:1.281 Thu Jan 15 02:29:21 2004
+++ kaffe/configure Thu Jan 15 05:29:27 2004
@@ -27652,25 +27652,21 @@
for ac_header in asm/signal.h
do
as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
-if eval "test \"\${$as_ac_Header+set}\" = set"; then
- echo "$as_me:$LINENO: checking for $ac_header" >&5
+echo "$as_me:$LINENO: checking for $ac_header" >&5
echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
if eval "test \"\${$as_ac_Header+set}\" = set"; then
echo $ECHO_N "(cached) $ECHO_C" >&6
-fi
-echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
-echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
else
- # Is the header compilable?
-echo "$as_me:$LINENO: checking $ac_header usability" >&5
-echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
-cat >conftest.$ac_ext <<_ACEOF
+ cat >conftest.$ac_ext <<_ACEOF
/* confdefs.h. */
_ACEOF
cat confdefs.h >>conftest.$ac_ext
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
-$ac_includes_default
+
+#include <linux/types.h>
+
+
#include <$ac_header>
_ACEOF
rm -f conftest.$ac_objext
@@ -27695,100 +27691,17 @@
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
- ac_header_compiler=yes
+ eval "$as_ac_Header=yes"
else
echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
-ac_header_compiler=no
+eval "$as_ac_Header=no"
fi
rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
-echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
-echo "${ECHO_T}$ac_header_compiler" >&6
-
-# Is the header present?
-echo "$as_me:$LINENO: checking $ac_header presence" >&5
-echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
-cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h. */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h. */
-#include <$ac_header>
-_ACEOF
-if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
- (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
- ac_status=$?
- grep -v '^ *+' conftest.er1 >conftest.err
- rm -f conftest.er1
- cat conftest.err >&5
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); } >/dev/null; then
- if test -s conftest.err; then
- ac_cpp_err=$ac_c_preproc_warn_flag
- ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
- else
- ac_cpp_err=
- fi
-else
- ac_cpp_err=yes
-fi
-if test -z "$ac_cpp_err"; then
- ac_header_preproc=yes
-else
- echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
- ac_header_preproc=no
-fi
-rm -f conftest.err conftest.$ac_ext
-echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
-echo "${ECHO_T}$ac_header_preproc" >&6
-
-# So? What about this header?
-case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
- yes:no: )
- { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
-echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
- { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
-echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
- ac_header_preproc=yes
- ;;
- no:yes:* )
- { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
-echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
- { echo "$as_me:$LINENO: WARNING: $ac_header: check for missing prerequisite headers?" >&5
-echo "$as_me: WARNING: $ac_header: check for missing prerequisite headers?" >&2;}
- { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
-echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
- { echo "$as_me:$LINENO: WARNING: $ac_header: section \"Present But Cannot Be Compiled\"" >&5
-echo "$as_me: WARNING: $ac_header: section \"Present But Cannot Be Compiled\"" >&2;}
- { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
-echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
- { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
-echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
- (
- cat <<\_ASBOX
-## ------------------------------ ##
-## Report this to kaffe@kaffe.org ##
-## ------------------------------ ##
-_ASBOX
- ) |
- sed "s/^/$as_me: WARNING: /" >&2
- ;;
-esac
-echo "$as_me:$LINENO: checking for $ac_header" >&5
-echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
-if eval "test \"\${$as_ac_Header+set}\" = set"; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
-else
- eval "$as_ac_Header=\$ac_header_preproc"
fi
echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
-
-fi
if test `eval echo '${'$as_ac_Header'}'` = yes; then
cat >>confdefs.h <<_ACEOF
#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
Index: kaffe/configure.in
diff -u kaffe/configure.in:1.246 kaffe/configure.in:1.247
--- kaffe/configure.in:1.246 Thu Jan 15 04:25:18 2004
+++ kaffe/configure.in Thu Jan 15 05:29:31 2004
@@ -819,7 +819,9 @@
AC_CHECK_HEADERS([alloca.h])
dnl GNU/Linux sigcontext headers
AC_CHECK_HEADERS([asm/sigcontext.h])
-AC_CHECK_HEADERS([asm/signal.h])
+AC_CHECK_HEADERS([asm/signal.h], [], [], [
+#include <linux/types.h>
+])
AC_CHECK_HEADERS([bsd/libc.h])
AC_CHECK_HEADERS([dl.h])
AC_CHECK_HEADERS([dlfcn.h])